%add_findprov_lib_path /usr/lib/R/bin
%set_verify_elf_method relaxed


# -*- rpm-spec -*-
# $Id: R-base,v 1.8 2002/06/13 14:11:52 lioka Exp $
# This SRPM will build the package "R-base-gnome" (R with gnome
# support) if the macro %pkg is defined as "gnome", or R-base
# (R without gnome) if %pkg is defined as R-base.
%undefine __libtoolize

%define pkg	base
%define _tcllibdir %_libdir/tcl
%define force_ac_213 0
%define objprelink 0

Name: R-%pkg
Version: 1.8.0
Release: alt1

Summary: A language for data analysis and graphics

Source0: ftp://cran.r-project.org/pub/R/src/base/R-%version.tar.bz2
Source1: R-icons-png.tar.bz2

License: GPL
Group: Sciences/Mathematics
Url: http://www.r-project.org
Icon: logosm-trans.gif
Requires: perl, sed, mozilla
AutoReq: yes, noperl
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

# Automatically added by buildreq on Wed Oct 16 2002
BuildRequires: XFree86-devel XFree86-libs mozilla bzlib-devel gcc-c++ gcc-g77 glibc-devel-static lapack latex2html libg2c-devel libjpeg-devel libncurses-devel libpcre-devel libpng-devel libreadline-devel libstdc++-devel libtk tcl-devel tetex-dvips tetex-latex tk-devel unzip zip zlib-devel

%if %force_ac_213 
BuildRequires: autoconf_2.13
%endif

%description
`GNU S' - A language and environment for statistical computing and
graphics. R is similar to S, which was developed at Bell Laboratories
by John Chambers et al. It provides a wide variety of statistical and
graphical techniques (linear and nonlinear modelling, statistical
tests, time series analysis, classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. For
computationally intensive tasks, C and Fortran code can be linked and
called at run time.

%prep
%setup -q -n R-%version

%build
export CFLAGS=$(echo "$RPM_OPT_FLAGS" | sed -e s/-ffast-math/-fno-fast-math/g)
export FFLAGS=$(echo "$RPM_OPT_FLAGS" | sed -e s/-ffast-math/-fno-fast-math/g)
export FPICFLAGS=$(echo "$RPM_OPT_FLAGS" | sed -e s/-ffast-math/-fno-fast-math/g)
autoconf-2.5
if [ %pkg = "base-gnome" ]; then
%configure \
        --enable-R-shlib  \
        --with-gnome \
	--with-x \
	--with-tcl-config=/usr/lib/tclConfig.sh \
	--with-tk-config=/usr/lib/tkConfig.sh
else
%configure \
        --enable-R-shlib \
        --with-x \
	--with-tcl-config=/usr/lib/tclConfig.sh \
	--with-tk-config=/usr/lib/tkConfig.sh
fi

export DISPLAY=
%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif
%make_build pdf

make check

%install
%makeinstall rhome=$RPM_BUILD_ROOT%_libdir/R

mv doc/manual/*.pdf ${RPM_BUILD_DIR}/R-%version || :
#install src/scripts/LIBINDEX $RPM_BUILD_ROOT/%_bindir

# Remove latex versions of help pages
#
rm -rf $RPM_BUILD_ROOT/%_libdir/R/library/*/latex/

# Fix location of R_HOME_DIR in shell wrapper
#
(cd $RPM_BUILD_ROOT%_bindir
perl -i -pe "s@R_HOME_DIR=.*@R_HOME_DIR=%_libdir/R@" R
)
(cd $RPM_BUILD_ROOT%_libdir/R/bin
perl -i -pe "s@R_HOME_DIR=.*@R_HOME_DIR=%_libdir/R@" R
)

# Remove package indices. They are rebuilt by the postinstall script.
#
rm -f $RPM_BUILD_ROOT%_libdir/R/doc/html/function.html \
    $RPM_BUILD_ROOT%_libdir/R/doc/html/packages.html \
    $RPM_BUILD_ROOT%_libdir/R/library/LibIndex

# menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/R-base <<EOF
?package(R-base): needs="text" command="/usr/bin/R" \
section="Applications/Sciences/Mathematics" \
title="R" \
longtitle="R - a language for statistical computing" \
icon=Rlogo.xpm
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%_iconsdir
tar xjf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

%post
%update_menus
%_bindir/R CMD perl %_libdir/R/share/perl/build-help.pl --htmllist > /dev/null 2>&1
cat %_libdir/R/library/*/CONTENTS > %_libdir/R/doc/html/search/index.txt
# LibIndex is deprecated (remove eventually from previous versions)
rm -rf %_libdir/R/library/LibIndex

%preun
if [ $1 = 0 ]; then
   rm -f %_libdir/R/doc/html/function.html \
	%_libdir/R/doc/html/packages.html
	%_libdir/R/library/LibIndex
fi

%postun
%clean_menus

%files
%doc AUTHORS BUGS COPYING COPYING.LIB COPYRIGHTS FAQ NEWS ONEWS README RESOURCES THANKS VERSION Y2K
%doc R-data.pdf R-exts.pdf R-FAQ.pdf R-intro.pdf R-lang.pdf refman.pdf
%_bindir/*
%_mandir/man?/*
%_libdir/R
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%changelog
* Thu Oct 16 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.8.0-alt1
a new version, library path fixed.

* Mon Jun 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.1-alt1
- 1.7.1

* Wed Feb 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6.2-alt1
- 1.6.2

* Mon Feb 10 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6.1-alt3
- new autoreq

* Tue Dec 10 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 2:1.6.1-alt2
- Building in new perl
- New snapshot path

* Thu Nov 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6.1-alt1
- 1.6.1

* Tue Oct 16 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6.0-alt1
- 1.6.0
- gcc-3.2, automake-2.5

* Thu Jun 13 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4.1-alt2
- rebuilt in new env

* Fri Mar 01 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Fri Dec 21 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.1-alt2
- Rebuild with new libpng

* Mon Oct 01 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Mon Jul 09 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.0-alt1
- 1.3.0

* Thu May 24 2001 Stanislav Ievlev <inger@altlinux.ru> 1.2.3-alt1
- 1.2.3. Spec cleanup.

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Fri Dec 22 2000 Giuseppe Ghib? <ghibo@mandrakesoft.com> 1.2.0-4mdk
- added PDF of Reference Manual.
- added tcl, tk in BuildRequires.

* Tue Dec 19 2000 Giuseppe Ghib? <ghibo@mandrakesoft.com> 1.2.0-3mdk
- removed stdout output in post scripts.

* Tue Dec 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-2mdk
- ExcludeArch: ppc

* Tue Dec 19 2000 Giuseppe Ghib? <ghibo@mandrakesoft.com> 1.2.0-1mdk
- new fresh release.

* Tue Dec 19 2000 Giuseppe Ghib? <ghibo@mandrakesoft.com> 1.1.1-3mdk
- fixed broken macros (aargh!).

* Sun Oct 28 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.1-2mdk
- Use %%make macro
- bzip2 patch

* Fri Sep 01 2000 Giuseppe Ghib? <ghibo@mandrakesoft.com> 1.1.1-1mdk
- initial mandrake release.
- added BuildRequires.
- added -fno-fast-math, otherwise R doesn't passes the arith checks.
- switched order of make check and make pdf.

* Wed Aug 16 2000 Martyn Plummer <plummer@iarc.fr>
- R 1.1.1 released. Removed R-1.1.0-cofig.sub-alpha.patch since
  this version uses up to date config.sub.

* Fri Jun 16 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-1.1.0-cofig.sub-alpha.patch from Naoki Takebayashi

* Thu Jun 15 2000 Martyn Plummer <plummer@iarc.fr>
- Removed dependencies on egcs egcs-g77

* Tue Feb 29 2000 Martyn Plummer <plummer@iarc.fr
- Changed the description to match
  http://developer.r-project.org/R-description-short.txt

* Mon Feb 28 2000 Martyn Plummer <plummer@iarc.fr>
- Added egcs, egcs-g77 and perl as requirements. People who want to install
  their own R packages need a working build environment.

* Fri Feb 11 2000 Martyn Plummer <plummer@iarc.fr>
- Remove latex versions of help pages, to save a bit of space.
- PDF files installed in top level doc directory.
- Included R-0.99.0-fixes patch for some serious bugs

* Tue Feb  8 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-refman.patch which prevents building the reference manual

* Fri Feb  4 2000 Martyn Plummer <plummer@iarc.fr>
- Updated in preparation for R-0.99.0.
- Now install manual in pdf format.

* Wed Dec 15 1999 Martyn Plummer <plummer@iarc.fr>
- R-0.90.1. Removed Naoki's memory profile patch

* Fri Dec 3 1999 Tim Powers <timp@redhat.com>
- move configure into build section
- quiet scripts
- built for Powertools-6.2

* Mon Nov 29 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Naoki to fix problem with memory profile.
  (will be folded in to next R version).

* Mon Nov 22 1999 Martyn Plummer <plummer@iarc.fr>
- R 0.90.0 Naoki's patch for FFT bug no longer necessary.
- Updated URL tag to www.r-project.org

* Thu Oct 28 1999 Martyn Plummer <plummer@iarc.fr>
- RHCN is officially dead. Changed the Packager field
  back to my name and removed the Distribution field.

* Thu Oct 14 1999 Martyn Plummer <plummer@iarc.fr>
- Set CFLAGS and FFLAGS to be RPM_OPT_FLAGS. Thanks to
  Timothy H. Keitt <keitt@nceas.ucsb.edu>
- Simplified file list.

* Fri Oct 8 1999 Martyn Plummer <plummer@iarc.fr>
- Added patch from Naoki Takebayashi to fix FFT bug on Alpha
  (also found on Sparc).

* Tue Sep 7 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.65.0-1]
- RHOME is now R_HOME. Changed sed scripts accordingly.
- TASKS file is no longer in file list.

